body {
    margin: 0px;
    padding: 0px;
    background-color: #6DB1BF;
}

header {
    height: 10vh;
    text-align: center;
}

.input-container {
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.input-name label {
    font-weight: bold;
}

.player-one-input {
    display: inline-block;
    margin-right: 50px;
}

.player-two-input {
    display: inline-block;
    margin-right: 30px;
}

.input-button {
    display: inline-block;
}

.body-container {
    display: flex;
    margin-left: 2vw;
    margin-right: 2vw;
}
.game-container {
    display: inline-block;
    width: 50vw;
    margin-right: 2vw;
    height: 60vh;
    padding: 4%;
    background-color: #564D80;
    border: 2px solid #E59500;
    border-radius: 20px;
}

.game-grid {
    display: grid;
    height: 100%;
    width: 100%;
    border-radius: 20px;
    grid-template-columns: repeat(3, calc(100%/3));
    grid-template-rows: repeat(3, calc(100%/3));
    background-color: #564D80
}

.game-grid-item {
    font-size: xx-large;
    font-weight: bolder;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

.game-grid-item:nth-child(1), .game-grid-item:nth-child(2), .game-grid-item:nth-child(4), .game-grid-item:nth-child(5) {
    border-right: 2px solid #BBA0CA;
    border-bottom: 2px solid #BBA0CA;
}


.game-grid-item:nth-child(3), .game-grid-item:nth-child(6) {
    border-bottom: 2px solid #BBA0CA;
}

.game-grid-item:nth-child(7), .game-grid-item:nth-child(8) {
    border-right: 2px solid #BBA0CA;
}

.game-grid-item {
    display: flex;
    align-items: center;
    justify-content: center;
}


.details {
    margin-left: auto;
    border: 2px solid #E59500;
    background-color: #BBA0CA;
    border-radius: 20px;
    width: 40vw;
    height: 60vh;
}

.player-description {
    display: flex;
    height: 20%;
    width: auto;
    align-items: center;
    justify-content: center;
    height: 10%;
}

.player-description span {
    text-align: center;
    width: 50%;
    text-decoration: underline;
    font-weight: bold;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: larger;
}

.whos-turn {
    display: flex;
    height: 10%;
    align-items: center;
    justify-content: center;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: large;
    text-decoration: underline;
}

.game-messages {
    display: flex;
    border: 3px solid #564D80;
    border-radius: 15px;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 15px;
    height: 15%;
    align-items: center;
    justify-content: center;
    font-weight: bolder;

}

.end-game-text {
    display: flex;
    border: 3px solid #564D80;
    border-radius: 15px;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 15px;
    height: 25%;
    align-items: center;
    justify-content: center;
    font-weight: bolder;
    font-size: xx-large;

}

.reset-game {
    display: flex;
    border: 3px solid #564D80;
    border-radius: 15px;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 15px;
    height: 10%;
    align-items: center;
    justify-content: center;
    font-weight: bolder;
}

.lboard-button {
    display: flex;
    border: 3px solid #564D80;
    border-radius: 15px;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 15px;
    height: 10%;
    align-items: center;
    justify-content: center;
    font-weight: bolder;
}

button {
    background-color: #E59500;
    border: 2px solid#564D80;
    border-radius: 15px;
    width: 100px;
    height: 40px;
    font-weight: bold;
}